Page MenuHomePhabricator

Add support for X-WMF-UUID method of transmitting app install ID to apps uniques reports [5 pts] {hawk}
Closed, ResolvedPublic

Description

Originally, the app install ID was only transmitted as a query parameter. This was problematic for caching. For a while, we've been transmitting it both as a query parameter and in the X-Analytics headers, as a transition. We're now preparing to remove it from the query parameter, and only transmit the install ID via the X-Analytics header.

We'd like the apps uniques reports and session reports to be updated to use the X-Analytics header as well as the query parameter.

The reports will need to continue to support the old method using the query parameter because people that don't update their apps will continue to send their install ID that way.

The header documentation is here, under "wmf-uuid": https://wikitech.wikimedia.org/wiki/X-Analytics

Event Timeline

Deskana created this task.Apr 22 2015, 10:04 PM
Deskana updated the task description. (Show Details)
Deskana raised the priority of this task from to Needs Triage.
Deskana added a project: Analytics.
Deskana added a subscriber: Deskana.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 22 2015, 10:04 PM
Nuria added a subscriber: Nuria.Apr 22 2015, 10:36 PM

Session code is taken care of, as it never used the app install id from url. Changes will be on this patch: https://gerrit.wikimedia.org/r/#/c/199935/ (still WIP)

The app uniques report however does need updating, both daily and monthly.

Nuria set Security to None.
Nuria mentioned this in T92985: Onboard Madhu.
Nuria added a subscriber: kevinator.
Deskana renamed this task from Add support for X-WMF-UUID method of transmitting app install ID to apps uniques and session reports to Add support for X-WMF-UUID method of transmitting app install ID to apps uniques reports.Apr 22 2015, 10:37 PM
kevinator renamed this task from Add support for X-WMF-UUID method of transmitting app install ID to apps uniques reports to Add support for X-WMF-UUID method of transmitting app install ID to apps uniques reports [5 pts].Apr 23 2015, 3:15 PM
kevinator renamed this task from Add support for X-WMF-UUID method of transmitting app install ID to apps uniques reports [5 pts] to Add support for X-WMF-UUID method of transmitting app install ID to apps uniques reports [5 pts] {hawk}.
kevinator triaged this task as Normal priority.Apr 27 2015, 4:49 PM

Change 207689 had a related patch set uploaded (by Guillom):
[WIP] Use wmfuuid from x_analytics_map for app install id if available else default to the query parameter Todo - test if it works

https://gerrit.wikimedia.org/r/207689

Note: The patch was done by @madhuvishy but incorrectly referenced T96927; I simply fixed the commit message.

Change 207689 merged by Joal:
Use wmfuuid from x_analytics_map for app install id if available else default to the query parameter

https://gerrit.wikimedia.org/r/207689

madhuvishy closed this task as Resolved.May 15 2015, 4:00 PM

This change is done and deployed.